Bug 1795526 - Review Request: ghc-cborg - Concise Binary Object Representation
Summary: Review Request: ghc-cborg - Concise Binary Object Representation
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1842070 1842074
TreeView+ depends on / blocked
 
Reported: 2020-01-28 08:36 UTC by Jens Petersen
Modified: 2020-06-26 06:17 UTC (History)
2 users (show)

Fixed In Version: ghc-cborg-0.2.2.1-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-01-28 08:36:46 UTC
Spec URL: https://petersen.fedorapeople.org/reviews//ghc-cborg.spec
SRPM URL: https://petersen.fedorapeople.org/reviews//ghc-cborg-0.2.1.0-1.fc31.src.rpm

Description:
This package (formerly 'binary-serialise-cbor') provides an efficient
implementation of the Concise Binary Object Representation (CBOR), as specified
by [RFC 7049](https://tools.ietf.org/html/rfc7049).

If you are looking for a library for serialisation of Haskell values, have a
look at the [serialise](/package/serialise) package, which is built upon this
library.

An implementation of the standard bijection between CBOR and JSON is provided
by the [cborg-json](/package/cborg-json) package. Also see
[cbor-tool](/package/cbor-tool) for a convenient command-line utility for
working with CBOR data.

Comment 2 Jens Petersen 2020-02-15 07:15:00 UTC
cborg -> serialise -> dhall

Comment 3 Elliott Sales de Andrade 2020-02-15 09:35:47 UTC
This fails to build; is something missing?

+ ./Setup build
Preprocessing library for cborg-0.2.1.0..
Building library for cborg-0.2.1.0..
[ 1 of 14] Compiling Codec.CBOR.ByteArray.Internal ( src/Codec/CBOR/ByteArray/Internal.hs, dist/build/Codec/CBOR/ByteArray/Internal.o )
[ 2 of 14] Compiling Codec.CBOR.ByteArray.Sliced ( src/Codec/CBOR/ByteArray/Sliced.hs, dist/build/Codec/CBOR/ByteArray/Sliced.o )
[ 3 of 14] Compiling Codec.CBOR.ByteArray ( src/Codec/CBOR/ByteArray.hs, dist/build/Codec/CBOR/ByteArray.o )
[ 4 of 14] Compiling Codec.CBOR.Decoding ( src/Codec/CBOR/Decoding.hs, dist/build/Codec/CBOR/Decoding.o )
[ 5 of 14] Compiling Codec.CBOR.Encoding[boot] ( src/Codec/CBOR/Encoding.hs-boot, dist/build/Codec/CBOR/Encoding.o-boot )
[ 6 of 14] Compiling Codec.CBOR.FlatTerm[boot] ( src/Codec/CBOR/FlatTerm.hs-boot, dist/build/Codec/CBOR/FlatTerm.o-boot )
[ 7 of 14] Compiling Codec.CBOR.Encoding ( src/Codec/CBOR/Encoding.hs, dist/build/Codec/CBOR/Encoding.o )
[ 8 of 14] Compiling Codec.CBOR.FlatTerm ( src/Codec/CBOR/FlatTerm.hs, dist/build/Codec/CBOR/FlatTerm.o )
[ 9 of 14] Compiling Codec.CBOR.Magic ( src/Codec/CBOR/Magic.hs, dist/build/Codec/CBOR/Magic.o )
[10 of 14] Compiling Codec.CBOR.Read  ( src/Codec/CBOR/Read.hs, dist/build/Codec/CBOR/Read.o )
[11 of 14] Compiling Codec.CBOR.Term  ( src/Codec/CBOR/Term.hs, dist/build/Codec/CBOR/Term.o )
[12 of 14] Compiling Codec.CBOR       ( src/Codec/CBOR.hs, dist/build/Codec/CBOR.o )
[13 of 14] Compiling Codec.CBOR.Write ( src/Codec/CBOR/Write.hs, dist/build/Codec/CBOR/Write.o )
[14 of 14] Compiling Codec.CBOR.Pretty ( src/Codec/CBOR/Pretty.hs, dist/build/Codec/CBOR/Pretty.o )
[ 1 of 14] Compiling Codec.CBOR.ByteArray.Internal ( src/Codec/CBOR/ByteArray/Internal.hs, dist/build/Codec/CBOR/ByteArray/Internal.p_o )
[ 2 of 14] Compiling Codec.CBOR.ByteArray.Sliced ( src/Codec/CBOR/ByteArray/Sliced.hs, dist/build/Codec/CBOR/ByteArray/Sliced.p_o )
[ 3 of 14] Compiling Codec.CBOR.ByteArray ( src/Codec/CBOR/ByteArray.hs, dist/build/Codec/CBOR/ByteArray.p_o )
[ 4 of 14] Compiling Codec.CBOR.Decoding ( src/Codec/CBOR/Decoding.hs, dist/build/Codec/CBOR/Decoding.p_o )
Failed to load interface for ‘Data.Binary.Generic’                                                                                                    Perhaps you haven't installed the profiling libraries for package ‘binary-0.8.6.0’?
Use -v to see a list of the files searched for.

Comment 4 Jens Petersen 2020-02-27 06:50:18 UTC
(In reply to Elliott Sales de Andrade from comment #3)
> Failed to load interface for ‘Data.Binary.Generic’                          
> Perhaps you haven't installed the profiling libraries for package
> ‘binary-0.8.6.0’?

Hmm that's strange... and you have ghc-binary-prof installed. This is on F31?
I am not able to reproduce that.

Maybe I try refreshing the packaging anyway and you can see if that does anything.

Comment 5 Jens Petersen 2020-02-27 07:49:54 UTC
(In reply to Elliott Sales de Andrade from comment #3)
> Failed to load interface for ‘Data.Binary.Generic’                          

(Just to add: I am particularly puzzled since AFAICT nothing in Fedora uses or provides that module.)

Comment 6 Elliott Sales de Andrade 2020-02-27 08:00:50 UTC
It's in Rawhide mock, not 31. I just ran it again and it built. A couple of things though:

I see you have %check, but it doesn't seem to run anything.
The cabal file doesn't seem to match the srpm. I know they do post-updates for
those, but I'm not sure if that's an issue. Also, latest is 0.2.2.1, not
0.2.1.0 (also in Stackage 14.)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  1795526-ghc-cborg/diff.txt
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 31 files have unknown license. Detailed output of
     licensecheck in 1795526-ghc-cborg/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: 1795526-ghc-cborg/srpm-unpacked/ghc-cborg.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: ghc-cborg-0.2.1.0-1.fc33.x86_64.rpm
          ghc-cborg-devel-0.2.1.0-1.fc33.x86_64.rpm
          ghc-cborg-0.2.1.0-1.fc33.src.rpm
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.x86_64: W: spelling-error %description -l en_US cbor -> cor, boor
ghc-cborg.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.x86_64: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.x86_64: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.x86_64: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.x86_64: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.x86_64: W: no-documentation
ghc-cborg.src: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.src: W: spelling-error %description -l en_US cbor -> cor, boor
ghc-cborg.src: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.src: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.src: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.src: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.src: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.src: W: spelling-error %description -l en_US json -> son, j son, soon
3 packages and 0 specfiles checked; 0 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.x86_64: W: spelling-error %description -l en_US cbor -> cor, boor
ghc-cborg.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.x86_64: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.x86_64: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.x86_64: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.x86_64: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so RtsFlags
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so __hscore_get_saved_termios
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so __hscore_set_saved_termios
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so __int_encodeDouble
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so _assertFail
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so backtraceFree
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so cmp_thread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so debugBelch
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so dirty_MUT_VAR
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so enabled_capabilities
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so errorBelch
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so foreignExportStablePtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so forkOS_createThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so freeHaskellFunctionPtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getFullProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getMonotonicNSec
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getNumberOfProcessors
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getOrSetGHCConcSignalSignalHandlerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getOrSetSystemEventThreadEventManagerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getOrSetSystemEventThreadIOManagerThreadStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getOrSetSystemTimerThreadEventManagerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getOrSetSystemTimerThreadIOManagerThreadStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getProcessElapsedTime
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getRTSStats
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so getRTSStatsEnabled
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so hs_free_stable_ptr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so hs_spt_key_count
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so hs_spt_keys
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so hs_spt_lookup
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so libdwGetBacktrace
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so libdwLookupLocation
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so libdwPoolClear
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so libdwPoolRelease
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so libdwPoolTake
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so lockFile
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so newCAF
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so newSpark
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so performGC
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so performMajorGC
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so reportHeapOverflow
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so reportStackOverflow
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so resumeThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rtsSupportsBoundThreads
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_apply
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_checkSchedStatus
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_disableThreadAllocationLimit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_enableThreadAllocationLimit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_evalIO
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_getThreadId
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_lock
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_mkStablePtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_setMainThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so rts_unlock
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so setIOManagerControlFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so setIOManagerWakeupFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so setNumCapabilities
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so setProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so setTimerManagerControlFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so shutdownHaskellAndExit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so shutdownHaskellAndSignal
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so startProfTimer
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so stg_*
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so stopProfTimer
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so suspendThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so unlockFile
ghc-cborg.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 773 warnings.



Unversioned so-files
--------------------
ghc-cborg: /usr/lib64/libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so

Source checksums
----------------
https://hackage.haskell.org/package/cborg-0.2.1.0/cborg.cabal#/cborg-0.2.1.0.cabal :
  CHECKSUM(SHA256) this package     : 45bcb8d64eef83652bd5a56bb99e2e876e5da26afe05ba25960aca08d5db6274
  CHECKSUM(SHA256) upstream package : 2f6f7865c6b581131e9052da5c6ce0e74fa780e298244e23707544f7c4187f6c
https://hackage.haskell.org/package/cborg-0.2.1.0/cborg-0.2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9198735f7645ae492345505448f790433f5fe407b19e1c6b2ec2a4c76bd97483
  CHECKSUM(SHA256) upstream package : 9198735f7645ae492345505448f790433f5fe407b19e1c6b2ec2a4c76bd97483
diff -r also reports differences


Requires
--------
ghc-cborg (rpmlib, GLIBC filtered):
    libHSarray-0.5.3.0-ghc8.6.5.so()(64bit)
    libHSbase-4.12.0.0-ghc8.6.5.so()(64bit)
    libHSbytestring-0.10.8.2-ghc8.6.5.so()(64bit)
    libHSghc-prim-0.5.3-ghc8.6.5.so()(64bit)
    libHShalf-0.3-DbGzUJeWzEH5ol4kXyFgw6-ghc8.6.5.so()(64bit)
    libHSinteger-gmp-1.0.2.0-ghc8.6.5.so()(64bit)
    libHSprimitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b-ghc8.6.5.so()(64bit)
    libHStext-1.2.3.1-ghc8.6.5.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-cborg-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-cborg(x86-64)
    ghc-compiler
    ghc-devel(array-0.5.3.0)
    ghc-devel(base-4.12.0.0)
    ghc-devel(bytestring-0.10.8.2)
    ghc-devel(containers-0.6.0.1)
    ghc-devel(deepseq-1.4.4.0)
    ghc-devel(ghc-prim-0.5.3)
    ghc-devel(half-0.3-DbGzUJeWzEH5ol4kXyFgw6)
    ghc-devel(integer-gmp-1.0.2.0)
    ghc-devel(primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b)
    ghc-devel(text-1.2.3.1)



Provides
--------
ghc-cborg:
    ghc-cborg
    ghc-cborg(x86-64)
    libHScborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny-ghc8.6.5.so()(64bit)

ghc-cborg-devel:
    ghc-cborg-devel
    ghc-cborg-devel(x86-64)
    ghc-cborg-static
    ghc-cborg-static(x86-64)
    ghc-devel(cborg-0.2.1.0-CSMtL7hvGbVKok1ScPoHny)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1795526
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Haskell, Shell-api, Generic
Disabled plugins: PHP, Python, SugarActivity, Perl, R, fonts, Ocaml, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Jens Petersen 2020-03-03 06:01:34 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/ghc-cborg/ghc-cborg.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/ghc-cborg/ghc-cborg-0.2.2.1-1.fc32.src.rpm

- update to 0.2.2.1
- testsuite fails on 32bit archs and s390x

Comment 8 Elliott Sales de Andrade 2020-03-04 23:51:09 UTC
Why does it depend on -prof now instead of -devel?

Actually, what are -prof? They aren't in the Haskell Guidelines.

Comment 9 Jens Petersen 2020-03-05 04:08:14 UTC
Okay you are right, the guidelines need a tweak for that.

Since F31 profiling libraries (libHS*_p.a) are now subpackaged,
so there is ghc-cborg-devel and ghc-cborg-prof (ghc-cborg-doc also).
This done because generally for development prof libs are frequently not needed.

In the interim I had used a macro %{_devel} for compatibility with F30,
but since F30 will be EOL in a few months, I decided to go with just
BR: ghc-*-prof for building Haskell libs in F32.

Comment 10 Jens Petersen 2020-03-10 16:45:53 UTC
I opened https://pagure.io/packaging-committee/pull-request/952.

Comment 11 Jens Petersen 2020-03-10 16:48:42 UTC
(Though I also pondering maybe introducing %generate_buildrequires in F33 perhaps.)

Comment 12 Jens Petersen 2020-03-27 01:37:31 UTC
Also now finally opened a FPC ticket <https://pagure.io/packaging-committee/issue/958>.

Comment 13 Jens Petersen 2020-04-11 02:39:46 UTC
The revision to the Haskell Packaging Guidelines got approved by FPC btw.

https://meetbot.fedoraproject.org/fedora-meeting-1/2020-04-09/fpc.2020-04-09-16.00.html

(With a long discussion on the question about the corner case ghc-yesod-static vs static provides of ghc-yesod-devel..)

Comment 14 Elliott Sales de Andrade 2020-06-01 08:22:15 UTC
These two should be fixed:

[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/doc/ghc/html/libraries, /usr/share/doc/ghc/html,
     /usr/share/doc/ghc

ghc-cborg-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-cborg-devel/ChangeLog.md

and I'm not sure about this one:

[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     cborg-prof

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/doc/ghc/html/libraries, /usr/share/doc/ghc/html,
     /usr/share/doc/ghc
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     cborg-prof
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-cborg-0.2.2.1-1.fc33.x86_64.rpm
          ghc-cborg-devel-0.2.2.1-1.fc33.x86_64.rpm
          ghc-cborg-doc-0.2.2.1-1.fc33.noarch.rpm
          ghc-cborg-prof-0.2.2.1-1.fc33.x86_64.rpm
          ghc-cborg-0.2.2.1-1.fc33.src.rpm
ghc-cborg.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.x86_64: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.x86_64: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.x86_64: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.x86_64: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.x86_64: W: spelling-error %description -l en_US cbor -> cor, boor
ghc-cborg.x86_64: W: no-documentation
ghc-cborg-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-cborg-devel/ChangeLog.md
ghc-cborg-prof.x86_64: W: no-documentation
ghc-cborg-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.6.5/cborg-0.2.2.1/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L_p.a
ghc-cborg.src: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.src: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.src: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.src: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.src: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.src: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.src: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.src: W: spelling-error %description -l en_US cbor -> cor, boor
5 packages and 0 specfiles checked; 0 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
ghc-cborg.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.x86_64: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.x86_64: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.x86_64: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.x86_64: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.x86_64: W: spelling-error %description -l en_US cbor -> cor, boor
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so RtsFlags
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so __hscore_get_saved_termios
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so __hscore_set_saved_termios
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so __int_encodeDouble
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so _assertFail
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so backtraceFree
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so cmp_thread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so debugBelch
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so dirty_MUT_VAR
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so enabled_capabilities
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so errorBelch
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so foreignExportStablePtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so forkOS_createThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so freeHaskellFunctionPtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getFullProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getMonotonicNSec
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getNumberOfProcessors
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetGHCConcSignalSignalHandlerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemEventThreadEventManagerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemEventThreadIOManagerThreadStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemTimerThreadEventManagerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemTimerThreadIOManagerThreadStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getProcessElapsedTime
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getRTSStats
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getRTSStatsEnabled
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_free_stable_ptr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_spt_key_count
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_spt_keys
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_spt_lookup
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwGetBacktrace
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwLookupLocation
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwPoolClear
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwPoolRelease
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwPoolTake
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so lockFile
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so newCAF
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so newSpark
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so performGC
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so performMajorGC
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so reportHeapOverflow
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so reportStackOverflow
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so resumeThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rtsSupportsBoundThreads
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_apply
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_checkSchedStatus
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_disableThreadAllocationLimit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_enableThreadAllocationLimit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_evalIO
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_getThreadId
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_lock
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_mkStablePtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_setMainThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_unlock
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setIOManagerControlFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setIOManagerWakeupFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setNumCapabilities
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setTimerManagerControlFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so shutdownHaskellAndExit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so shutdownHaskellAndSignal
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so startProfTimer
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so stg_*
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so stopProfTimer
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so suspendThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so unlockFile
ghc-cborg.x86_64: W: no-documentation
ghc-cborg-prof.x86_64: W: no-documentation
ghc-cborg-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.6.5/cborg-0.2.2.1/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L_p.a
ghc-cborg-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-cborg-devel/ChangeLog.md
4 packages and 0 specfiles checked; 0 errors, 776 warnings.



Unversioned so-files
--------------------
ghc-cborg: /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so

Source checksums
----------------
https://hackage.haskell.org/package/cborg-0.2.2.1/cborg-0.2.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : ba920d368892fe14e048cd6ac4270ce4ea1aea0fb6a4998c5c97fe106e6c6183
  CHECKSUM(SHA256) upstream package : ba920d368892fe14e048cd6ac4270ce4ea1aea0fb6a4998c5c97fe106e6c6183


Requires
--------
ghc-cborg (rpmlib, GLIBC filtered):
    libHSarray-0.5.3.0-ghc8.6.5.so()(64bit)
    libHSbase-4.12.0.0-ghc8.6.5.so()(64bit)
    libHSbytestring-0.10.8.2-ghc8.6.5.so()(64bit)
    libHSghc-prim-0.5.3-ghc8.6.5.so()(64bit)
    libHShalf-0.3-DbGzUJeWzEH5ol4kXyFgw6-ghc8.6.5.so()(64bit)
    libHSinteger-gmp-1.0.2.0-ghc8.6.5.so()(64bit)
    libHSprimitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b-ghc8.6.5.so()(64bit)
    libHStext-1.2.3.1-ghc8.6.5.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-cborg-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-cborg(x86-64)
    ghc-compiler
    ghc-devel(array-0.5.3.0)
    ghc-devel(base-4.12.0.0)
    ghc-devel(bytestring-0.10.8.2)
    ghc-devel(containers-0.6.0.1)
    ghc-devel(deepseq-1.4.4.0)
    ghc-devel(ghc-prim-0.5.3)
    ghc-devel(half-0.3-DbGzUJeWzEH5ol4kXyFgw6)
    ghc-devel(integer-gmp-1.0.2.0)
    ghc-devel(primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b)
    ghc-devel(text-1.2.3.1)

ghc-cborg-doc (rpmlib, GLIBC filtered):

ghc-cborg-prof (rpmlib, GLIBC filtered):
    ghc-cborg-devel(x86-64)
    ghc-prof(array-0.5.3.0)
    ghc-prof(base-4.12.0.0)
    ghc-prof(bytestring-0.10.8.2)
    ghc-prof(containers-0.6.0.1)
    ghc-prof(deepseq-1.4.4.0)
    ghc-prof(ghc-prim-0.5.3)
    ghc-prof(half-0.3-DbGzUJeWzEH5ol4kXyFgw6)
    ghc-prof(integer-gmp-1.0.2.0)
    ghc-prof(primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b)
    ghc-prof(text-1.2.3.1)



Provides
--------
ghc-cborg:
    ghc-cborg
    ghc-cborg(x86-64)
    libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so()(64bit)

ghc-cborg-devel:
    ghc-cborg-devel
    ghc-cborg-devel(x86-64)
    ghc-cborg-static
    ghc-cborg-static(x86-64)
    ghc-devel(cborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L)

ghc-cborg-doc:
    ghc-cborg-doc

ghc-cborg-prof:
    ghc-cborg-prof
    ghc-cborg-prof(x86-64)
    ghc-prof(cborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1795526
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Haskell
Disabled plugins: R, SugarActivity, Ocaml, Perl, PHP, Python, Java, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 15 Jens Petersen 2020-06-04 10:05:48 UTC
Hi Elliot, thanks for updating the review:

(In reply to Elliott Sales de Andrade from comment #14)
> These two should be fixed:
> 
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners:
>      /usr/share/doc/ghc/html/libraries, /usr/share/doc/ghc/html,
>      /usr/share/doc/ghc

Good catch, thanks!
I have fixed this in ghc-rpm-macros-2.0.9-1.fc33 .

> ghc-cborg-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/ghc-cborg-devel/ChangeLog.md

Yes, thanks, fixing - I worked around this cabal-install bug recently in cabal-rpm.

> and I'm not sure about this one:
> 
> [?]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
>      cborg-prof

ghc-cborg-prof has
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

which in turn has
Requires:       %{name}%{?_isa} = %{version}-%{release}

So I think that is okay.

Comment 17 Fedora Update System 2020-06-16 03:29:46 UTC
FEDORA-2020-e2b19c9cc6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e2b19c9cc6

Comment 18 Elliott Sales de Andrade 2020-06-25 09:16:50 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     cborg-prof
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-cborg-0.2.2.1-2.fc33.x86_64.rpm
          ghc-cborg-devel-0.2.2.1-2.fc33.x86_64.rpm
          ghc-cborg-doc-0.2.2.1-2.fc33.noarch.rpm
          ghc-cborg-prof-0.2.2.1-2.fc33.x86_64.rpm
          ghc-cborg-0.2.2.1-2.fc33.src.rpm
ghc-cborg.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.x86_64: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.x86_64: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.x86_64: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.x86_64: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.x86_64: W: spelling-error %description -l en_US cbor -> cor, boor
ghc-cborg.x86_64: W: no-documentation
ghc-cborg-prof.x86_64: W: no-documentation
ghc-cborg-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.6.5/cborg-0.2.2.1/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L_p.a
ghc-cborg.src: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.src: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.src: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.src: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.src: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.src: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.src: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.src: W: spelling-error %description -l en_US cbor -> cor, boor
5 packages and 0 specfiles checked; 0 errors, 19 warnings.




Rpmlint (installed packages)
----------------------------
ghc-cborg.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-cborg.x86_64: W: spelling-error %description -l en_US ietf -> diet
ghc-cborg.x86_64: W: spelling-error %description -l en_US html -> HTML
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
ghc-cborg.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
ghc-cborg.x86_64: W: spelling-error %description -l en_US bijection -> bisection, objection, abjection
ghc-cborg.x86_64: W: spelling-error %description -l en_US json -> son, j son, soon
ghc-cborg.x86_64: W: spelling-error %description -l en_US cbor -> cor, boor
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so RtsFlags
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so __hscore_get_saved_termios
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so __hscore_set_saved_termios
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so __int_encodeDouble
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so _assertFail
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so backtraceFree
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so cmp_thread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so debugBelch
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so dirty_MUT_VAR
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so enabled_capabilities
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so errorBelch
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so foreignExportStablePtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so forkOS_createThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so freeHaskellFunctionPtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getFullProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getMonotonicNSec
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getNumberOfProcessors
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetGHCConcSignalSignalHandlerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemEventThreadEventManagerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemEventThreadIOManagerThreadStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemTimerThreadEventManagerStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getOrSetSystemTimerThreadIOManagerThreadStore
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getProcessElapsedTime
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getRTSStats
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so getRTSStatsEnabled
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_free_stable_ptr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_spt_key_count
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_spt_keys
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so hs_spt_lookup
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwGetBacktrace
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwLookupLocation
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwPoolClear
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwPoolRelease
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so libdwPoolTake
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so lockFile
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so newCAF
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so newSpark
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so performGC
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so performMajorGC
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so reportHeapOverflow
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so reportStackOverflow
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so resumeThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rtsSupportsBoundThreads
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_apply
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_checkSchedStatus
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_disableThreadAllocationLimit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_enableThreadAllocationLimit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_evalIO
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_getThreadId
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_lock
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_mkStablePtr
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_setMainThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so rts_unlock
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setIOManagerControlFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setIOManagerWakeupFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setNumCapabilities
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setProgArgv
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so setTimerManagerControlFd
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so shutdownHaskellAndExit
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so shutdownHaskellAndSignal
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so startProfTimer
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so stg_*
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so stopProfTimer
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so suspendThread
ghc-cborg.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so unlockFile
ghc-cborg.x86_64: W: no-documentation
ghc-cborg-prof.x86_64: W: no-documentation
ghc-cborg-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.6.5/cborg-0.2.2.1/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L_p.a
4 packages and 0 specfiles checked; 0 errors, 775 warnings.



Unversioned so-files
--------------------
ghc-cborg: /usr/lib64/libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so

Source checksums
----------------
https://hackage.haskell.org/package/cborg-0.2.2.1/cborg-0.2.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : ba920d368892fe14e048cd6ac4270ce4ea1aea0fb6a4998c5c97fe106e6c6183
  CHECKSUM(SHA256) upstream package : ba920d368892fe14e048cd6ac4270ce4ea1aea0fb6a4998c5c97fe106e6c6183


Requires
--------
ghc-cborg (rpmlib, GLIBC filtered):
    libHSarray-0.5.3.0-ghc8.6.5.so()(64bit)
    libHSbase-4.12.0.0-ghc8.6.5.so()(64bit)
    libHSbytestring-0.10.8.2-ghc8.6.5.so()(64bit)
    libHSghc-prim-0.5.3-ghc8.6.5.so()(64bit)
    libHShalf-0.3-DbGzUJeWzEH5ol4kXyFgw6-ghc8.6.5.so()(64bit)
    libHSinteger-gmp-1.0.2.0-ghc8.6.5.so()(64bit)
    libHSprimitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b-ghc8.6.5.so()(64bit)
    libHStext-1.2.3.1-ghc8.6.5.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-cborg-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-cborg(x86-64)
    ghc-compiler
    ghc-devel(array-0.5.3.0)
    ghc-devel(base-4.12.0.0)
    ghc-devel(bytestring-0.10.8.2)
    ghc-devel(containers-0.6.0.1)
    ghc-devel(deepseq-1.4.4.0)
    ghc-devel(ghc-prim-0.5.3)
    ghc-devel(half-0.3-DbGzUJeWzEH5ol4kXyFgw6)
    ghc-devel(integer-gmp-1.0.2.0)
    ghc-devel(primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b)
    ghc-devel(text-1.2.3.1)

ghc-cborg-doc (rpmlib, GLIBC filtered):

ghc-cborg-prof (rpmlib, GLIBC filtered):
    ghc-cborg-devel(x86-64)
    ghc-prof(array-0.5.3.0)
    ghc-prof(base-4.12.0.0)
    ghc-prof(bytestring-0.10.8.2)
    ghc-prof(containers-0.6.0.1)
    ghc-prof(deepseq-1.4.4.0)
    ghc-prof(ghc-prim-0.5.3)
    ghc-prof(half-0.3-DbGzUJeWzEH5ol4kXyFgw6)
    ghc-prof(integer-gmp-1.0.2.0)
    ghc-prof(primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b)
    ghc-prof(text-1.2.3.1)



Provides
--------
ghc-cborg:
    ghc-cborg
    ghc-cborg(x86-64)
    libHScborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L-ghc8.6.5.so()(64bit)

ghc-cborg-devel:
    ghc-cborg-devel
    ghc-cborg-devel(x86-64)
    ghc-cborg-static
    ghc-cborg-static(x86-64)
    ghc-devel(cborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L)

ghc-cborg-doc:
    ghc-cborg-doc

ghc-cborg-prof:
    ghc-cborg-prof
    ghc-cborg-prof(x86-64)
    ghc-prof(cborg-0.2.2.1-9UxRtMy6gkRFquDLxnal0L)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1795526 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Haskell, Shell-api, Generic
Disabled plugins: SugarActivity, Ocaml, R, PHP, fonts, Python, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 19 Jens Petersen 2020-06-25 15:31:07 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/26239

Comment 20 Gwyn Ciesla 2020-06-25 15:57:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-cborg


Note You need to log in before you can comment on or make changes to this bug.